PCKBC(4) | Device Drivers Manual | PCKBC(4)

# NAME

`pckbc` —
PC (ISA) keyboard controller driver

# SYNOPSIS

`pckbc* at acpi?`
`pckbc* at isa?`
`pckbc* at pnpbios? index ?`
`pckbd* at pckbc? slot ?`
`pms* at pckbc? slot ?`

# DESCRIPTION

The `pckbc` driver handles resource allocation and device attachment for the traditional PC/AT keyboard controller. It provides two logical connections for child devices, the “keyboard” slot for a keyboard and the “auxiliary” slot for mice (the latter might be missing in older keyboard controllers).

The optional “slot” locator argument can be used to force unusual connections of devices to logical slots. This feature is for experimentation only, it will not be useful in normal operation.

# SEE ALSO

acpi(4), isa(4), pckbd(4), pms(4), pnpbios(4)

April 16, 2002 | NetBSD 9.4